# AccountRequest

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**name** | **string** | Name of the account. Accounts must be unique within an SDKMS instance. | [optional] 
**description** | **string** | Account ID uniquely identifying this account. | [optional] 
**organization** | **string** | Organization (e.g. company name) that owns this account | [optional] 
**country** | **string** | Main country associated with this account | [optional] 
**phone** | **string** | Contact phone number associated with this account | [optional] 
**notification_pref** | [**\SdkmsClient\Model\NotificationPref**](NotificationPref.md) |  | [optional] 
**auth_config** | [**\SdkmsClient\Model\AuthConfig**](AuthConfig.md) |  | [optional] 
**add_logging_configs** | [**\SdkmsClient\Model\LoggingConfigRequest[]**](LoggingConfigRequest.md) |  | [optional] 
**mod_logging_configs** | [**map[string,\SdkmsClient\Model\LoggingConfigRequest]**](LoggingConfigRequest.md) | Map from UUIDs to LoggingConfigRequest objects | [optional] 
**del_logging_configs** | **string[]** |  | [optional] 
**pending_subscription_change_request** | [**\SdkmsClient\Model\SubscriptionChangeRequest**](SubscriptionChangeRequest.md) |  | [optional] 
**enabled** | **bool** | Whether this account is enabled. This may only be changed by sysadmins. | [optional] 
**subscription** | [**\SdkmsClient\Model\SubscriptionType**](SubscriptionType.md) |  | [optional] 
**custom_metadata** | **map[string,string]** | Sysadmin-defined metadata for this account. Stored as key-value pairs. This field may only be used by sysadmin users. | [optional] 
**key_undo_policy** | [**\SdkmsClient\Model\KeyUndoPolicy**](KeyUndoPolicy.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


