# AppCredentialSignedjwtSigningKeys

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**kind** | [**\SdkmsClient\Model\JWTSigningKeyType**](JWTSigningKeyType.md) | Type of signing key, fetched or stored | 
**keys** | **map[string,string]** | In case of \&quot;stored\&quot; kind, a map of key ids (arbitrary strings) to base64-encoded DER keys | [optional] 
**url** | **string** | In case of \&quot;fetched\&quot; kind, URL for fetching public key for verification of JWT signature | [optional] 
**cache_duration** | **int** | In case of \&quot;fetched\&quot; kind, duration for which the public key can be cached | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


