# EncryptInitRequestEx

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**key** | [**\SdkmsClient\Model\SobjectDescriptor**](SobjectDescriptor.md) |  | 
**alg** | [**\SdkmsClient\Model\ObjectType**](ObjectType.md) |  | 
**mode** | [**\SdkmsClient\Model\CipherMode**](CipherMode.md) |  | [optional] 
**iv** | **string** | For symmetric ciphers, this value will be used for the cipher initialization value. If not provided, SDKMS will generate a random iv and return it in the response. If provided, iv length must match the length required by the cipher and mode. | [optional] 
**ad** | **string** | For symmetric ciphers with cipher mode GCM or CCM, this optionally specifies the authenticated data used by the cipher. This field must not be provided with other cipher modes. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


