# Group

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**name** | **string** | Name of the group. Group names must be unique within an account. | [optional] 
**group_id** | **string** | Group ID uniquely identifying this group. | [optional] 
**description** | **string** | Description of the group. | [optional] 
**acct_id** | **string** | Account ID of the account this Group belongs to. | [optional] 
**creator** | [**\SdkmsClient\Model\CreatorType**](CreatorType.md) |  | [optional] 
**created_at** | **string** | When this group was created. | [optional] 
**hmg** | [**map[string,\SdkmsClient\Model\HmgConfig]**](HmgConfig.md) | Map from UUIDs to HmgConfig objects | [optional] 
**key_undo_policy** | [**\SdkmsClient\Model\KeyUndoPolicy**](KeyUndoPolicy.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


