# UserRequest

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**user_email** | **string** | User&#39;s email address. | 
**user_password** | **string** | The password to assign to this user in SDKMS. | 
**account_role** | [**\SdkmsClient\Model\UserAccountFlags[]**](UserAccountFlags.md) |  | [optional] 
**add_groups** | [**\SdkmsClient\Model\UserGroupMap**](UserGroupMap.md) | The user will be added to the specified security groups with the specified roles. | [optional] 
**del_groups** | [**\SdkmsClient\Model\UserGroupMap**](UserGroupMap.md) | The user will be removed from the specified security groups. | [optional] 
**mod_groups** | [**\SdkmsClient\Model\UserGroupMap**](UserGroupMap.md) | The user&#39;s role in the specified groups will be updated to the specified roles. | [optional] 
**enabled** | **bool** | Whether this application is enabled. | [optional] 
**add_u2f_devices** | [**\SdkmsClient\Model\U2fAddDeviceRequest[]**](U2fAddDeviceRequest.md) |  | [optional] 
**del_u2f_devices** | [**\SdkmsClient\Model\U2fDelDeviceRequest[]**](U2fDelDeviceRequest.md) |  | [optional] 
**rename_u2f_devices** | [**\SdkmsClient\Model\U2fRenameDeviceRequest[]**](U2fRenameDeviceRequest.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


