# HistoryItemState

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**activation_date** | **string** | When this KeyObject will become active | [optional] 
**revocation_reason** | [**\SdkmsClient\Model\RevocationReasonCode**](RevocationReasonCode.md) |  | [optional] 
**compromise_date** | **string** | When this security object was compromised. | [optional] 
**deactivation_date** | **string** | When this security object was deactivated | [optional] 
**destruction_date** | **string** | When this security object was destroyed | [optional] 
**deletion_date** | **string** | When the security object was deleted | [optional] 
**state** | [**\SdkmsClient\Model\KeyObjectState**](KeyObjectState.md) |  | [optional] 
**key_ops** | [**\SdkmsClient\Model\KeyOperations[]**](KeyOperations.md) | Array of key operations enabled for this security object. | [optional] 
**public_only** | **bool** | Whether the key object contains only a public part | [optional] 
**rotation_policy** | [**\SdkmsClient\Model\RotationPolicy**](RotationPolicy.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


