# PluginRequest

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**name** | **string** | Name of the plugin. Plugin names must be unique within an account. | 
**description** | **string** | Description of this plugin. | [optional] 
**add_groups** | **string[]** | An array of Security Group IDs to add to this plugin. | 
**del_groups** | **string[]** | An array of security group IDs to remove from this plugin. | [optional] 
**default_group** | **string** | The default group of this plugin. This is the group where security objects will be created by default by this plugin. | 
**source** | [**\SdkmsClient\Model\PluginSource**](PluginSource.md) |  | 
**enabled** | **bool** | Whether this plugin is enabled. | [optional] 
**plugin_type** | [**\SdkmsClient\Model\PluginType**](PluginType.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


