# VerifyRequest

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**hash_alg** | [**\SdkmsClient\Model\DigestAlgorithm**](DigestAlgorithm.md) |  | 
**hash** | **string** | The hash of the data on which the signature is being verified. Exactly one of &#x60;hash&#x60; and &#x60;data&#x60; is required. | [optional] 
**data** | **string** | The data on which the signature is being verified. Exactly one of &#x60;hash&#x60; and &#x60;data&#x60; is required. To reduce request size and avoid reaching the request size limit, prefer &#x60;hash&#x60;. | [optional] 
**signature** | **string** | A signature created with the private key corresponding to this public key. | 
**mode** | [**\SdkmsClient\Model\SignatureMode**](SignatureMode.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


