# ApprovalRequest

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**request_id** | **string** | UUID uniquely identifying this approval request. | 
**requester** | [**\SdkmsClient\Model\Entity**](Entity.md) |  | 
**created_at** | **string** | When this approval request was created. | 
**acct_id** | **string** | The account ID of the account that this approval request belongs to. | 
**operation** | **string** | Operation URL path, e.g. &#x60;/crypto/v1/keys&#x60;, &#x60;/crypto/v1/groups/&lt;id&gt;&#x60;. | 
**method** | **string** | Method for the operation: POST, PATCH, PUT, DELETE, or GET. Default is POST. | 
**body** | **object** |  | 
**approvers** | [**\SdkmsClient\Model\Entity[]**](Entity.md) |  | 
**denier** | [**\SdkmsClient\Model\Entity**](Entity.md) |  | 
**status** | [**\SdkmsClient\Model\ApprovalStatus**](ApprovalStatus.md) |  | 
**reviewers** | [**\SdkmsClient\Model\Entity[]**](Entity.md) |  | 
**subjects** | [**\SdkmsClient\Model\ApprovalSubject[]**](ApprovalSubject.md) |  | 
**description** | **string** | Optional comment about the approval request for the reviewer. | [optional] 
**expiry** | **string** | When this approval request expires. | 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


