# ExportComponentsResponse

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**components** | [**\SdkmsClient\Model\SobjectComponent[]**](SobjectComponent.md) | Components of the Security Object | 
**key_kcv** | **string** | KCV for the entire Security Object | 
**description** | **string** | optional description to the export request | [optional] 
**iv** | **string** | For symmetric ciphers, this value will be used for the cipher initialization value. If not provided, SDKMS will generate a random iv and return it in the response. If provided, iv length must match the length required by the cipher and mode. | [optional] 
**tag** | **string** | For symmetric ciphers with cipher mode GCM or CCM, the authentication tag produced by the cipher. Its length will match the tag length specified by the encryption request. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


