# FpeCompoundPart

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**or** | [**\SdkmsClient\Model\FpeDataPart[]**](FpeDataPart.md) | Represents an OR of multiple structures. This cannot be specified alongside the &#x60;concat&#x60; or &#x60;multiple&#x60; fields.  ***Implementation note: the order of the choices matters, as the parser will pick the first structure that matches. (The parser is locally \&quot;greedy\&quot;; see the description of &#x60;FpeDataPart&#x60; for more information about why this matters.)*** | [optional] 
**concat** | [**\SdkmsClient\Model\FpeDataPart[]**](FpeDataPart.md) | Represents a concatentation of multiple structures (in a particular order). This cannot be specified alongside the &#x60;or&#x60; or &#x60;multiple&#x60; fields. | [optional] 
**multiple** | [**\SdkmsClient\Model\FpeDataPart**](FpeDataPart.md) |  | [optional] 
**min_repetitions** | **int** | The minimum number of times the subpart can be repeated. This field should only be used if the &#x60;multiple&#x60; field is being used. | [optional] 
**max_repetitions** | **int** | The maximum number of times the subpart can be repeated. This field should only be used if the &#x60;multiple&#x60; field is being used. | [optional] 
**constraints** | [**\SdkmsClient\Model\FpeConstraints**](FpeConstraints.md) |  | [optional] 
**preserve** | **bool** | Whether the entire part should be preserved as-is (i.e., not tokenized). If this is set, any descendant subparts cannot contain any preserve-related fields set. | [optional] 
**mask** | **bool** | Whether the entire part should be masked when doing masked decryption. If this is set, any descendant subparts cannot contain any mask-related fields set. | [optional] 
**min_length** | **int** | The minimum allowed length for this part (in chars). | [optional] 
**max_length** | **int** | The minimum allowed length for this part (in chars). | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


