# App

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**name** | **string** | Name of the application. Application names must be unique within an account. | 
**app_id** | **string** | Application ID uniquely identifying this application. | 
**auth_type** | [**\SdkmsClient\Model\AppAuthType**](AppAuthType.md) |  | 
**description** | **string** | Description of this application. | [optional] 
**interface** | **string** | Interface used with this application (PKCS11, CNG, JCE, KMIP, etc.). | [optional] 
**acct_id** | **string** | The account ID of the account that this application belongs to. | 
**groups** | **string[]** | An array of Security Group IDs. The application belongs to each Security Group in this array. | 
**default_group** | **string** | The default group of this application. This is the group where security objects will be created by default by this application. | 
**enabled** | **bool** | Whether this application is enabled. | 
**app_type** | **string** | The user-defined type of this application. | 
**creator** | [**\SdkmsClient\Model\CreatorType**](CreatorType.md) |  | 
**created_at** | **string** | When this application was created. | 
**lastused_at** | **string** | When this application was last used. | [optional] 
**oauth_config** | [**\SdkmsClient\Model\AppOauthConfig**](AppOauthConfig.md) |  | [optional] 
**cert_not_after** | **string** | Certificate expiration date. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


