# GroupRequest

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**name** | **string** | Name of the group. Group names must be unique within an account. | 
**description** | **string** | Description of the group. | [optional] 
**acct_id** | **string** | Account ID of the account the new group will belong to. | [optional] 
**add_hmg** | [**\SdkmsClient\Model\HmgConfig[]**](HmgConfig.md) | List of HmgConfig objects to add | [optional] 
**mod_hmg** | [**map[string,\SdkmsClient\Model\HmgConfig]**](HmgConfig.md) | Map from UUIDs to HmgConfig objects to update | [optional] 
**del_hmg** | **string[]** | List of HmgConfig UUIDs to delete | [optional] 
**key_undo_policy** | [**\SdkmsClient\Model\KeyUndoPolicy**](KeyUndoPolicy.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


